Subject: Re: [v3 2/2] dsa: mv88e6xxx: make serdes SGMII/Fiber output amplitude configurable

From: Marek Behún <[email-masked]>
Date: Wed, 15 Dec 2021 21:53:50 +0100

On Wed, 15 Dec 2021 10:27:02 +0000
Holger Brunck <[email-masked]> wrote:

> Hi Marek,
> 
> > > This gets interesting when PCIe and USB needs to use this property,
> > > what names are used, and if it is possible to combine two different
> > > lists?  
> >
> > I don't think it is possible, I tried that once and couldn't get it to work.
> >
> > I am going to try write the proposal. But unfortunately PHY binding is not
> > converted to YAML yet :(
> >  
> 
> I saw you recent patches to convert this. Thanks!
> 
> This make my serdes.yaml obsolete then, correct? Should I then only re-post
> my driver code, once your patches are accepted?

Yes, please let's do it this way. It may take some time for Rob to
review this, though, and he may require some changes.

Also I was thinking whether it wouldn't be better to put the property
into a separate SerDes PHY node, i.e.

  switch {
    compatible = "marvell,mv88e6085";
    ...

    ports {
      port@6 {
        reg = <0x6>;
        phy-handle = <&switch_serdes_phy>;
      };

      ...
    };

    mdio {
      switch_serdes_phy: ethernet-phy@f {
        reg = <0xf>;
        tx-amplitude-microvolt = <1234567>;
      };

      ...
    };
  };